#pragma once
#include "Entity.h"
class CS_Boss_Tap;
//Boss塔普的额外伤害区和可攻击区
class CS_Boss_TapDmgRect :
    public Entity
{
public:
    CS_Boss_TapDmgRect(std::shared_ptr<CS_Boss_Tap> parent);
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    std::weak_ptr<CS_Boss_Tap> tap;
    int damage = 5;
};

